Jump to content
termal007

Take Screenshot select region ?

Recommended Posts

termal007

hi

 how can easily screenshot when  Specify region in autocad ? 

Edited by termal007

Share this post


Link to post
Share on other sites
steven-g

Screenshot is a Windows feature, in Windows 10 it is the Win+Shift+S key combination that will let you select a screen area and this is automatically copied onto your clipboard

Share this post


Link to post
Share on other sites
f700es

Lightshot will be your new best friend ;) The best screenshot tool EVAR! And free.

Share this post


Link to post
Share on other sites
ronjonp

Not free but THIS is what I use. The editor is awesome :)

Share this post


Link to post
Share on other sites
f700es

Ouch, $50, not happening when I can get one for free. Lightshot does all I need. I've seen that one before, yes it is a nice piece of software. To me that's like paying for a zip/unzip utility or a web browser (for those of use old enough to remember those days).

Share this post


Link to post
Share on other sites
rkmcswain
16 minutes ago, ronjonp said:

Not free but THIS is what I use. The editor is awesome :)

 

SnagIt is awesome. I use it every day.  @f700es - I can't speak for lightshot, but SnagIt is more than just a screen capture utility. Yeah, I do remember the days of Netscape Navigator, and WinZip. 😮

Share this post


Link to post
Share on other sites
ronjonp
13 minutes ago, f700es said:

Ouch, $50, not happening when I can get one for free. Lightshot does all I need. I've seen that one before, yes it is a nice piece of software. To me that's like paying for a zip/unzip utility or a web browser (for those of use old enough to remember those days).

Yeah that's a bit steep but really it is great software. When I purchased it many moons ago, I got 2 licenses for $30!

Share this post


Link to post
Share on other sites
f700es

Yeah I know SnagIt does a bit more but as I said above "for my needs" I am good. I've used it before and yes it was good but work paid for it. I'd not spend my $$ on it as I can get by with free options ;)
I remember seeing Netscape for sale at BestBuy, in a box. LOL! I also paid $1,500 for a 486 DX4, 16 mb ram, 540 mb hdd computer with a 15" CRT. LOL
 

Share this post


Link to post
Share on other sites
ronjonp
2 minutes ago, f700es said:

Yeah I know SnagIt does a bit more but as I said above "for my needs" I am good. I've used it before and yes it was good but work paid for it. I'd not spend my $$ on it as I can get by with free options ;)
I remember seeing Netscape for sale at BestBuy, in a box. LOL! I also paid $1,500 for a 486 DX4, 16 mb ram, 540 mb hdd computer with a 15" CRT. LOL
 

In 2000 or so we were buying 21" Viewsonic CRT's for ~$1k a piece! Now I have three 25" screens that cost ~$900. A magical time we live in.  :)

  • Like 1

Share this post


Link to post
Share on other sites
Lee Mac
4 hours ago, ronjonp said:

Not free but THIS is what I use. The editor is awesome :)

 

I'd second that - it's superb.

  • Like 1

Share this post


Link to post
Share on other sites
BIGAL

Lee do you use it for the screen recording looking for something at moment.

 

Also Gadwin works well very simple allows screen area selection.

Share this post


Link to post
Share on other sites
Grrr
12 hours ago, termal007 said:

 how can easily screenshot when  Specify region in autocad ? 

 

One could do it via .NET,

With lisp you may need an external application on which you can invoke the SendKeys method in order to trigger the app's shortcut to take the screenshot.

However if region cropping is required, then you'll need to pass the points as parameters, so probably .NET

 

11 minutes ago, BIGAL said:

Also Gadwin works well very simple allows screen area selection.

 

I also use gadwin, I think per your previous recommendation! :thumbsup:

Share this post


Link to post
Share on other sites
termal007

thanks for everybody but , i want lisp to take screenshot of every shape in column of table column Stirrups Schedule (see attach file ) ,

every shape in one picture ,

 

how can i do that easily !!!?

screenshot.dwg

Share this post


Link to post
Share on other sites
steven-g

Can you show a screen shot, of what you are hoping to do.

Does that screen shot need to be separate jpg's or PDF's just the rebar or also the sizes, counts

produced to a certain size, scale.

This isn't a lot of information to work with.

Share this post


Link to post
Share on other sites
rlx


(defun c:t1 ( / ss i fol e lst ip p1 p2 txt)
  (if (setq ss (ssget "x" '((0 . "TEXT"))))
    (repeat (setq i (sslength ss))
      (if (wcmatch (cdr (assoc 1 (entget (setq e (ssname ss (setq i (1- i))))))) "@#,@##,@###") (setq lst (cons e lst)))))
  (if lst
    (progn
      (princ "\nWorking.....")
      (setvar 'filedia 0)
      (setq fol (getvar 'dwgprefix))
      (foreach e lst
    (setq ip (cdr (assoc 11 (entget e))) txt (cdr (assoc 1 (entget e)))
          p1 (list (+ (car ip) -0.75) (+ (cadr ip) 0.75)) p2 (list (+ (car ip) 15.22) (+ (cadr ip) -0.75)))
    (vl-cmdf "._zoom" "w" p1 p2 "jpgout" (strcat fol txt) "w" p1 p2 "")
      )
    )
  )
  (setvar 'filedia 1)
  (princ)
)

  • Like 2

Share this post


Link to post
Share on other sites
Grrr

Woow @rlx, that code ran like a machine-gun! 🤯

Looks to me like job done..

Share this post


Link to post
Share on other sites
rlx
1 minute ago, Grrr said:

Woow @rlx, that code ran like a machine-gun! 🤯

Looks to me like job done..

 

thanx Grrr, must admit it took me by surprise too how fast it was haha. Don't know if it is what OP wants but its a start...

Share this post


Link to post
Share on other sites
termal007
On 2/3/2019 at 3:06 AM, rlx said:

 


(defun c:t1 ( / ss i fol e lst ip p1 p2 txt)
  (if (setq ss (ssget "x" '((0 . "TEXT"))))
    (repeat (setq i (sslength ss))
      (if (wcmatch (cdr (assoc 1 (entget (setq e (ssname ss (setq i (1- i))))))) "@#,@##,@###") (setq lst (cons e lst)))))
  (if lst
    (progn
      (princ "\nWorking.....")
      (setvar 'filedia 0)
      (setq fol (getvar 'dwgprefix))
      (foreach e lst
    (setq ip (cdr (assoc 11 (entget e))) txt (cdr (assoc 1 (entget e)))
          p1 (list (+ (car ip) -0.75) (+ (cadr ip) 0.75)) p2 (list (+ (car ip) 15.22) (+ (cadr ip) -0.75)))
    (vl-cmdf "._zoom" "w" p1 p2 "jpgout" (strcat fol txt) "w" p1 p2 "")
      )
    )
  )
  (setvar 'filedia 1)
  (princ)
)


 

thanks very good , but i want just column Shape take screenshot ! can you right code for that !?

Share this post


Link to post
Share on other sites
rlx

Show a picture of how the end result should look

Share this post


Link to post
Share on other sites
ronjonp

My guess is change this:

p1  (list (+ (car ip) -0.75) (+ (cadr ip) 0.75))
p2  (list (+ (car ip) 15.22) (+ (cadr ip) -0.75))

to this:

p1  (mapcar '+ ip '(1.75 0.7))
p2  (mapcar '+ ip '(4.25 -0.7))

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×